html, body {
  height: 100%;
  padding: 0;
  margin: 0;
  font-size: 10px;
  overflow: hidden;
}

body {
  position: relative;
}

button::-moz-focus-inner {
  border: 0;
}

input[type="image"] {
  outline: none;
}

/* These are only in use when we are current on the tabs screen */
.tabs-screen iframe {
  pointer-events: none;
}

.tabs-screen #main-screen {
  transform: translateX(calc(-100% + 5rem));
}

.tabs-screen #tabs-badge {
  display: none;
}

.awesome-screen #awesomescreen {
  display: block;
}

.awesome-screen #throbber {
  display: none;
}

.awesome-screen #tabs-badge {
  display: none;
}

#settings {
  font-size: 1.6rem;
  position: absolute;
  left: 0;
  top: 0;
  background-color: #f4f4f4;
  width: 100%;
  height: 100%;
  z-index: 150;
  transition: 0.5s ease-in-out;
  transform: translateY(100%);
  overflow-y: scroll;
}

.settings-screen #settings {
  display: block;
  transform: translateY(0%);
}

.current {
  background: rgba(0, 0, 0, 0.4);
}

#tray {
  font-size: 1.7rem;
  -moz-transition: 0.2s ease-in-out;
  position: absolute;
  left: 5rem;
  right: 0;
  top: 0;
  bottom: 0;
  color: white;
  z-index: 40;
  background-image: url('./images/drawer-header-background.png');
  background-repeat: repeat-x;
  background-position: top;
  background-size: auto 5rem;
}

#new-tab {
  height: 3rem;
  margin: 1.8rem;
  border: 0;
  color: white;
  background: black;
  font-size: 1.7rem;
  padding: 0.5rem;
  cursor: pointer;
}

#tabs-list {
  border-top: 0.1rem solid #333;
  overflow-y: auto;
  position:absolute;
  top: 5rem;
  bottom: 0;
  left: 0;
  right: 0;
  background-image: url('./images/tabs-list-background.png');
  background-size: auto 100%;
}

#tabs-list ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

#tabs-list li a {
  display: block;
  height: 6.5rem;
  -moz-user-select: none;
  padding: 1rem;
  width: calc(100% - 2rem);
  position: absolute;
}

#tabs-list li {
  margin: 0;
  height: 8.5rem;
  border-bottom: 0.1rem solid #54575c;
  overflow: hidden;
  position: relative;
  width: 100%;
}

#tabs-list li a.active {
  background-image: -moz-linear-gradient(#ff9400, #e66100);
}

#tabs-list .preview {
  display: block;
  width: 9rem;
  height: 6.5rem;
  background-color: rgba(255, 255, 255, 0.3);
  background-size: cover;
  float:left;
  border-radius: 0.5rem;
  pointer-events: none;
  margin-right: 1rem;
}

#tabs-list span {
  pointer-events: none;
  display: block;
  height: 6.5rem;
  top: 0;
  margin: 0 5rem 0 0;
  overflow: hidden;
  text-overflow: ellipsis;
}

#tabs-list .close:active {
  background-image: url(images/tab-icon-pressed-closetab.png);
}

#tabs-list .close {
  position: absolute;
  right: 0;
  top: 0;
  width: 5rem;
  height: 100%;
  border: 0;
  background: url(images/tab-icon-pressed-closetab.png) no-repeat 50% 50% / 3rem;
}

#main-screen {
  margin: 0;
  width: 100%;
  height: 100%;
  z-index: 50;
  position: relative;
  left: 0;
  overflow: hidden;
  /*
   * Make sure this frame starts out with an identity transform so that
   * when we apply the .address-hidden style, we aren't reframed.
   *
   * https://bugzilla.mozilla.org/show_bug.cgi?id=795657 will fix the
   * underlying problem.
   */
  transform: translateY(0);
  transition: transform 0.2s ease-in-out;
}

#main-screen.address-hidden {
  transform: translateY(-5rem);
}

#main-screen.expanded {
  height: calc(100% + 5rem);
}

#tabs-badge {
  position: absolute;
  right: 0;
  top: 0;
  font-size: 2.3rem;
  color: white;
  display: block;
  width: 4.4rem;
  height: 5rem;
  line-height: 5rem;
  text-align: center;
  cursor: pointer;
  -moz-user-select: none;
}

#more-tabs {
  font-size: 2.8rem;
}

#toolbar-start {
  height: 5rem;
  background-color: #f9f9fb;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
}

#throbber {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 0.3rem;
  z-index: 99;
}

#throbber.loading {
  background: url('images/progress.gif') repeat-x left bottom / 100%;
}

.page-screen #toolbar-start {
  background-image: url('./images/tabs-badge-background.png');
  background-repeat: no-repeat;
  background-position: right;
  background-size: auto 5rem;
  padding-right: 6.5rem;
}

.page-screen #toolbar-start.tab-btn-active {
  background-image: url('./images/tab-pressed-bg.png');
}

.tabs-screen #toolbar-start {
  background-image: url('./images/iconaction_back_50x50.png'),
                    url('./images/tabs-badge-background.png');
  background-repeat: no-repeat, no-repeat;
  background-position: top right, right;
  background-size: 5rem, auto 5rem;
  padding-right: 6.5rem;
}

.tabs-screen #toolbar-start.tab-btn-active {
  background-image: url('./images/iconaction_back_50x50.png'),
                    url('./images/tab-pressed-bg.png');
  background-size: 5rem, auto 5rem;
}

.tabs-screen #frames {
  bottom: 0;
}

#url-bar {
  display: -moz-box;
  -moz-box-orient: horizontal;
  border: 0.1rem solid #c1c5ce;
  border-radius: 0.5rem;
  height: 3.4rem;
  margin: 0.8rem 0 0.8rem 0.5rem;
  padding: 0 0 0 0.5rem;
  background-color: #fff;
  font-weight: 600;
  width: calc(100% - 1.5rem);
}

#url-input:disabled {
  color: #000;
}

#url-bar input:focus {
  box-shadow: none;
}

#url-bar.focus {
  border: 0.1rem solid #00c7ef;
}

#url-button {
  display: none;
  height: 3.2rem;
  width: 2.6rem;
  background-size: 3rem;
  float: right;
  background-repeat: no-repeat;
  background-position: right center;
  margin-left: 0.6rem;
}

#ssl-indicator {
  display: block;
  width: 2.4rem;
  height: 3.4rem;
  margin-right: 0.2rem;
  text-indent: -1000em;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 3.2rem;
}

#ssl-indicator[value=secure] {
  background-image: url(images/site_security_verified.png);
}

#ssl-indicator[value=broken] {
  background-image: url(images/site_security_broken.png);
}

#ssl-indicator[value=insecure], #ssl-indicator[value=''] {
  display: none;
}

#url-input {
  font-size: 1.7rem;
  height: 3.4rem;
  -moz-box-flex: 1;
  margin: 0;
  padding: 0 0.6rem 0 0;
  border: none;
  background-color: transparent;
  background: none;
  text-overflow: ellipsis;
  width: calc(100% - 3.2rem);
}

#url-input:invalid {
  box-shadow: none;
}

#url-input:disabled {
  color: #000;
}

menu[type="toolbar"] {
  height: 4.5rem;
  margin: 0;
  padding: 0;
}

menu[type="toolbar"] button {
  background-color: transparent;
  -moz-appearance: none;
  background-position: center;
  background-repeat: no-repeat;
  background-size: 3rem auto;
  border: none;
  border-radius: 0;
  display: block;
  margin: 0;
  padding: 0;
  width: 8rem;
  height: 4.5rem;
  float: left;
}

menu[type="toolbar"] button.hidden {
  display: none;
}

input::-moz-focus-inner {
  border: 0;
}

#frames {
  width: 100%;
  position: absolute;
  top: 5rem;
  bottom: 4.5rem;
  background: white;
}

#frames > iframe, #tab-cover {
  position: absolute;
  display: block;
  height: 100%;
  width: 100%;
  border: none;
}
#tab-cover {
  display: none;
  z-index: 100;
}

#awesomescreen, #crashscreen, #startscreen {
  font-size: 1.7rem;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #fff;
  display: none;
}

#startscreen {
  display: block;
  z-index: 58;
  margin: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  background: url('/shared/resources/branding/about_logo.png') no-repeat 16.5rem top, -moz-linear-gradient(#f8f8fa, #cadce6);
  background-position: top right;
  background-size: 16.5rem;
  overflow: hidden;
  color: #3e4041;
}

#startscreen h1 {
  font-size: 2.5rem;
  margin: 1rem 1.5rem;
}

#startscreen h2 {
  font-size: 1.4rem;
  margin: 0 0 1.5rem 1.5rem;
}

#startscreen.hidden {
  display: none;
}

#start-screen-top-sites {
  width: 29rem;
  margin: 0 auto;
  overflow: hidden;
}

#top-site-thumbnails {
  margin: 0;
  padding: 0;
}

#top-site-thumbnails li {
  list-style-type: none;
  text-align: center;
  float: left;
  position: relative;
  border-bottom: 0.2rem solid #CCC;
  margin-bottom: 2rem;
}

#top-site-thumbnails li:nth-child(2n) {
  margin-left: 1rem;
}

#top-site-thumbnails li a {
  display: block;
  width: 14rem;
  height: 10rem;
  background-color: rgba(255, 255, 255, 0.3);
  background-size: cover;
}

#top-site-thumbnails li span {
  font-size: 1.4rem;
  display: block;
  width: 13.4rem;
  height: 1.5rem;
  text-align: center;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  background-color: rgba(255, 255, 255, 0.8);
  position: absolute;
  bottom: 0;
  padding: 0.3rem;
  pointer-events: none;
}

#awesomescreen {
  z-index: 60;
}

#crashscreen {
  background-color: #4f4f4f;
  background-image: url('images/crashed-tab-background.png');
  background-size: 100% auto;
  color: #fff;
  z-index: 59;
  text-align: center;
}

#crashscreen h3, #crashscreen p {
  padding: 0 1.5rem;
}

#crashscreen h3 {
  font-size: 2.1rem;
  font-weight: normal;
}

#crashscreen img {
  display: block;
  margin: 0 auto;
  width: 5rem;
}

#crashscreen p {
  font-size: 1.7rem;
}

#crashscreen menu[type="toolbar"] {
  background-color: #3e3e3e;
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 7rem;
}

#crashscreen button {
  height: 3.8rem;
  margin: 1.7rem 1rem;
  padding: 0 1.5rem;
  -moz-box-sizing: border-box;
  display: inline-block;
  vertical-align: middle;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  background: #fafafa url('images/button-background.png') repeat-x left bottom;
  border: 0.1rem solid #9f9f9f;
  border-radius: 0.3rem;
  font-size: 1.7rem;
  line-height: 3.8rem;
  color: #333;
  text-align: center;
  text-shadow: 0.1rem 0.1rem 0 rgba(255,255,255,0.3);
  text-decoration: none;
  outline: none;
  width: 14rem;
}

#crashscreen button:active,
a[role="button"]:active,
button.recommend:active,
a.recommend[role="button"]:active  {
  border-color: #008aaa;
  background: #008aaa;
  color: #333;
}

#close-tab {
  float: left;
}

#try-reloading {
  float: right;
}

#awesomescreen {
  z-index: 60;
}

#screen {
  z-index: 61;
}

.awesome-screen #toolbar-start {
  background-color: #ccd6df;
  padding-right: 5rem;
  background-image: none;
  position: absolute;
  top: 0;
  left: 0;
}

.awesome-screen #frames {
  bottom: 0;
}

.awesome-screen #tabs-badge {
  width: 5rem;
  background-color: #ccd6df;
}

#browser-menu {
  position: absolute;
  right: 0.8rem;
  bottom: 7.2rem;
  width: 50%;
  background-color: #f5f2f3;
  border-radius: 0.8rem;
  z-index: 999;
  margin: 0;
  padding: 0;
  box-shadow: 0 0 0.5rem #333;
}

#browser-menu::before {
  content: '';
  display: block;
  width: 1.6rem;
  height: 1.6rem;
  position: absolute;
  bottom: -0.8rem;
  right: 1.2rem;
  -moz-transform: rotate(-45deg);
  background-color: #f5f2f3;
  box-shadow: 0 0 0.4rem #333;
}

#browser-menu::after {
  content: '';
  display: block;
  width: 3rem;
  height: 1.6rem;
  position: absolute;
  bottom: 0;
  right: 0.7rem;
  background-color: #f5f2f3;
}

#browser-menu li {
  padding: 0;
  margin: 0 1.6rem;
  list-style-type: none;
}


#browser-menu li:last-child {
  border-bottom: none;
}

#browser-menu li a {
  display: block;
  font-size: 2.2rem;
  padding: 1.9rem 1.9rem 1.9rem 4.4rem;
  border-bottom: solid 0.1rem #d0cecf;
  text-decoration: none;
  color: #4f5357;
  background-repeat: no-repeat;
  background-position: 0.5rem 2rem;
  font-weight: 600;
}

#refresh a {
  background-image: url('images/refresh.png');
  background-size: auto;
}

.hidden {
  display: none;
}

#tray-toolbar {
  background: none;
  height: 5rem;
}

#tray-toolbar button {
  width: 6rem;
  border-radius: 0;
}

#settings-button {
  background: url('images/iconaction_settings_30x30.png') center center no-repeat;
  background-size: 3rem;
  float: right;
  height: 5rem;
}

#settings-button:active {
  background: url('images/iconaction_settings_30x30.png') center center no-repeat,
              url('images/icon-pressed-bg.png') 100% no-repeat;
}

#new-tab-button {
  background: url('images/iconaction_new_30x30.png') center center no-repeat,
              url('images/header-divider.png') left center no-repeat;
  background-size: 3rem, auto;
  float: right;
  height: 5rem;
}

#new-tab-button:active {
  background: url('images/iconaction_new_30x30.png') center center no-repeat,
              url('images/header-divider.png') left center no-repeat,
              url('images/icon-pressed-bg.png') 100% no-repeat;
}

#danger-dialog {
  z-index: 200;
}

/** Bookmark Menu **/
#bookmark-menu {
  position: absolute;
  z-index: 61;
}

#bookmark-menu li.hidden {
  display: none;
}

#bookmark-menu.hidden {
  display: none;
}

/* Edit bookmark entry sheet */

#bookmark-entry-sheet {
  z-index: 101;
  display: block;
  position: fixed;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: #EEEEEE;
}

#bookmark-entry-sheet.hidden {
  display: none;
}

/*
 * HTTP Authentication Dialog
 */
#http-authentication-dialog {
  z-index: 102;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #EEEEEE;
}

#http-authentication-dialog.hidden {
  display: none;
}

#http-authentication-message {
  display: block;
  font-size: 1.5rem;
  margin: 1rem 2rem;
}

#http-authentication-message.error {
  color: #950d0d;
}

/* The following can be removed once we have a building block
 * for entry sheets.
 */
 #bookmark-entry-sheet label,
 #http-authentication-dialog label {
  display: block;
  position: relative;
  margin: 1rem 2rem;
  text-transform: uppercase;
  font-size: 1.4rem;
 }

#save-media-status {
  display: none;
}

#save-media-status.visible {
  display: block;
}

#dialog-overlay {
  display: none;
  position: absolute;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1000;
}

.modal-active #dialog-overlay {
  display: block;
}
